The clean & modern RSS server that doesn't give you any crap. https://thearsse.com/
Вы не можете выбрать более 25 тем Темы должны начинаться с буквы или цифры, могут содержать дефисы(-) и должны содержать не более 35 символов.

84 строки
2.4KB

  1. General upgrade notes
  2. =====================
  3. When upgrading between any two versions of The Arsse, the following are
  4. usually prudent:
  5. - Back up your database
  6. - Check for any changes to sample Web server configuration
  7. - Check for any changes to sample systemd unit or other init files
  8. - If installing from source, update dependencies with:
  9. `composer install -o --no-dev`
  10. Upgrading from 0.8.2 to 0.8.3
  11. =============================
  12. - PHP 7.1 is now required
  13. - The following Composer dependencies have been added:
  14. - nicolus/picofeed
  15. - laminas/laminas-diactoros
  16. - laminas/laminas-httphandlerrunner
  17. - The following Composer dependencies have been removed:
  18. - p3k/picofeed
  19. - zendframework/zend-diactoros
  20. - zendframework/zend-httphandlerrunner
  21. Upgrading from 0.8.1 to 0.8.2
  22. =============================
  23. - The database schema has changed from rev5 to rev6; if upgrading the database
  24. manually, apply the 5.sql file
  25. Upgrading from 0.7.1 to 0.8.0
  26. =============================
  27. - The database schema has changed from rev4 to rev5; if upgrading the database
  28. manually, apply the 4.sql file
  29. - Web server configuration has changed to accommodate Fever; the following URL
  30. paths are affected:
  31. - /fever/
  32. - The following Composer dependencies have been added:
  33. - zendframework/zend-diactoros (version 2.x)
  34. - zendframework/zend-httphandlerrunner
  35. Upgrading from 0.5.1 to 0.6.0
  36. =============================
  37. - The database schema has changed from rev3 to rev4; if upgrading the database
  38. manually, apply the 3.sql file
  39. - Configuration is now validated for type and semantics: some previously
  40. working configurations may no longer be accepted
  41. Upgrading from 0.2.1 to 0.3.0
  42. =============================
  43. - The following Composer dependencies have been added:
  44. - zendframework/zend-diactoros
  45. - psr/http-message
  46. Upgrading from 0.2.0 to 0.2.1
  47. =============================
  48. - The database schema has changed from rev2 to rev3; if upgrading the database
  49. manually, apply the 2.sql file
  50. Upgrading from 0.1.x to 0.2.0
  51. =============================
  52. - The database schema has changed from rev1 to rev2; if upgrading the database
  53. manually, apply the 1.sql file
  54. - Web server configuration has changed to accommodate Tiny Tiny RSS; the
  55. following URL paths are affected:
  56. - /tt-rss/api/
  57. - /tt-rss/feed-icons/
  58. - /tt-rss/images/
  59. - The following Composer dependencies have been added:
  60. - jkingweb/druuid